GCIN(1)

NAME
gcin - an input method server

SYNOPSIS
gcin [-h|-v|--version]

DESCRIPTION
gcin is an input method(IM) server, which focused mainly on Traditional Chinese. It is also very useful for Simplified Chinese, Japanese, and many other languages. IM table format of gcin is almost as same as those of scim and xcin. Users may append their IMs to gcin very easily. The "g" of gcin means that it features a better GTK+ user interface. If you are looking for configuration tool of gcin, please see the manpage of gcin-setup.

OPTIONS

-h, -v, --version
    Show version of gcin.

FILES

/usr/share/gcin/table/gtab.list
    Input methods available for gcin. You may copy it to $HOME/.gcin/ and edit it as you like. If you have no $HOME/.gcin/gtab.list, /usr/share/gcin/table/gtab.list will be used.

/usr/share/gcin/script/html-browser
    A file helps gcin finding html browsers when needed. You may add any compatible html browser to it.

/usr/share/gcin/script/utf8-edit
    A file helps gcin finding text editors when needed. You may add any UTF-8 compatible text editor to it.

ENVIRONMENT VARIABLES

LC_CTYPE
    For bash: export LC_CTYPE=zh_TW.UTF-8
    For csh: setenv LC_CTYPE zh_TW.UTF-8

XMODIFIERS
    For bash: export XMODIFIERS=@im=gcin
    For csh: setenv XMODIFIERS @im=gcin

GTK_IM_MODULE
    For bash: export GTK_IM_MODULE=gcin
    For csh: setenv GTK_IM_MODULE gcin

QT_IM_MODULE
    For bash: export QT_IM_MODULE=gcin
    For csh: setenv QT_IM_MODULE gcin

GCIN_CONNECT_MSG_ON
    Display messages for socket connections.

GCIN_DBG_TMP
    Display additional debug messages.

GCIN_ERR_COREDUMP
    Option for debugging.

GCIN_IM_CLIENT_NO_AUTO_EXEC
    Disable auto-evoke in gcin protocol.

GCIN_OUTPUT_FILTER
    Assign output filter to process data before the IM server send them to clients.

GCIN_TABLE_DIR
    Assign directory for IM tables other then /usr/share/gcin/table.

SEE ALSO
gcin-setup(1), gcin2tab(1), phoa2d(1), juyin-learn(1), gcin-message(1)

AUTHORS

Edward Der-Hua Liu
    Wrote gcin and associated tools.

Friend of Chanjei IM, Malaysia <www.chinesecj.com>
    Author of original Chanjei IM version 5 table.

Dayi Co., Ltd. <http://www.dayi.com>
    Author of Dayi IM.